/*---------------------------------------------------------------

  Project Name: Corona - Creative Portfolio HTML Template
  File Name: style.css
  Author: Peng Lam
  Author URI: http://khaitawng.com
  Version: 1.0.0

------------------------------------------------------------------*/
/*----------------------------------------------------------------

// Table of contents //

        Body
    0.  Typography
    1.  Buttons
    2.  General
    3.  Pre loader
    4.  Navigation section
    5.  Home section
    6.  Service section
    7.  About section
    8.  Divider section
    9.  Team section
    10. Skill section
    11. Work section
    12. Contact section
    13. Footer section
    14. Social icon
    15. Mobile Responsive styles

------------------------------------------------------------------*/

@import url('https://fonts.googleapis.com/css?family=Poppins:400,500');

body {
    background: #ffffff;
    font-family: 'Poppins', sans-serif;
    font-style: normal;
    font-weight: normal;
    overflow-x: hidden;
}

html, body {
  width: 100%;
  height: 100%;
}



/*---------------------------------------
    0 Typorgraphy              
-----------------------------------------*/

h1,h2,h3,h4,h5,h6 {
  font-style: normal;
  font-weight: 500;
}

h1 {
  color: #ffffff;
  font-size: 38px;
  line-height: normal;
}

h2 {
  color: #2b2b2b;
  font-size: 30px;
  line-height: normal;
  margin: 0px;
}

   
h4 {
  color: #ffffff;
  font-size: 20px;
  line-height: normal;
}

p {
  color: #878787;
  font-size: 16px;
  font-weight: normal;
  line-height: 20px;
  letter-spacing: 0.1px;
}

.white-color {
  color: #f0f0f0 !important;
}



/*---------------------------------------
    1 Buttons               
-----------------------------------------*/

.section-btn {
  background: transparent;
  border: 2px solid #ffffff;
  border-radius: 50px;
  color: #f0f0f0;
  font-size: 13px;
  font-weight: 500;
  letter-spacing: 1px;
  padding: 18px 32px;
  margin-top: 42px;
  -webkit-transition: all ease-in-out 0.4s;
  transition: all ease-in-out 0.4s;
}

.section-btn:focus,
.section-btn:hover {
  background: #2b2b2b;
  border-color: transparent;
  color: #ffffff;
}

#home .section-btn.btn-primary {
  margin-left: 22px;
}

.section-btn.btn-primary {
  background: #78A13C;
  border-color: transparent;
  color: #ffffff;
}



/*---------------------------------------
    2 General               
-----------------------------------------*/

html{
  -webkit-font-smoothing: antialiased;
}

a {
  color: #757557;
  -webkit-transition: 0.5s;
  transition: 0.5s;
  text-decoration: none !important;
}

a:hover, a:active, a:focus {
  color: #4eefc3;
  outline: none;
}

* {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

*:before,
*:after {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

.parallax-section {
  background-attachment: fixed !important;
  background-size: cover !important;
}

.section-title {
  margin: 0;
  padding-bottom: 32px;
}

#service,
#about, #team, #work,
#contact, footer {
  position: relative;
  padding-top: 60px;
  padding-bottom: 60px;
}

#service, #work {
  background: #f9f9f9;
  text-align: center;
}


/*---------------------------------------
    3 Pre loader section              
-----------------------------------------*/

.preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 99999;
  display: flex;
  flex-flow: row nowrap;
  justify-content: center;
  align-items: center;
  background: none repeat scroll 0 0 #ffffff;
}

.spinner {
  border: 1px solid transparent;
  border-radius: 5px;
  position: relative;
}

.spinner:before {
  content: '';
  box-sizing: border-box;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 45px;
  height: 45px;
  margin-top: -10px;
  margin-left: -10px;
  border-radius: 50%;
  border: 1px solid #575757;
  border-top-color: #ffffff;
  animation: spinner .9s linear infinite;
}

@-webkit-@keyframes spinner {
  to {transform: rotate(360deg);}
}

@keyframes spinner {
  to {transform: rotate(360deg);}
}



/*---------------------------------------
    4 Navigation section              
-----------------------------------------*/

.navbar-default {
  background-color: #ffffff;
  box-shadow: 5px 5px 15px 0 rgba(31, 31, 31, 0.07);
  border: none;
  margin-bottom: 0;
  padding: 8px 0;
}

.navbar-default .navbar-brand {
  color: #474747;
  font-weight: 500;
  font-size: 20px;
}

.navbar-default .navbar-brand span {
  color: #4eefc3;
}

.navbar-default .navbar-nav li a {
  color: #757575;
  font-size: 12px;
  font-weight: 500;
  letter-spacing: 0.5px;
  -webkit-transition: all ease-in-out 0.4s;
  transition: all ease-in-out 0.4s;
  padding: 0 12px;
  margin: 15px 8px;
}

.navbar-default .navbar-nav > li a:hover {
  background-color: transparent;
  color: #656565 !important;
}

.navbar-default .navbar-nav > li > a:hover,
.navbar-default .navbar-nav > li > a:focus {
  color: #858585;
}

.navbar-default .navbar-nav > .active > a,
.navbar-default .navbar-nav > .active > a:hover,
.navbar-default .navbar-nav > .active > a:focus {
  color: #656565;
}

.navbar-default .navbar-toggle {
  border: none;
  padding-top: 10px;
}

.navbar-default .navbar-toggle {
  background-color: transparent;
}

.navbar-default .navbar-toggle .icon-bar {
  background: #2b2b2b;
  border-color: transparent;
}



/*---------------------------------------
    5 Home section              
-----------------------------------------*/

#home {
  background: url('../images/home.jpg') 50% 0 repeat-y fixed;
  background-size: cover;
  background-position: center center;
  display: -webkit-box;
  display: -webkit-flex;
   display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
   align-items: center;
  height: 100vh;
  position: relative;
  text-align: center;
  padding-top: 70px;
}



/*---------------------------------------
   6 Service section              
-----------------------------------------*/
.aligncenter {
  display: block;
  margin-right: auto;
  margin-left: auto;
  text-align: center;
}

.service-thumb {
  background: #ffffff;
  border-radius: 5px;
  padding: 3px 3px;
  cursor: crosshair;
  position: relative;
  top: 0;
  -webkit-transition: all ease-in-out 0.4s;
  transition: all ease-in-out 0.4s;
}

.service-thumb:hover {
  background: #2b2b2b;
  top: -5px;
}

.service-thumb:hover .fa,
.service-thumb:hover h4 {
  color: #ffffff;
}

.service-thumb h4 {
  padding-bottom: 5px;
}

.service-thumb .fa {
  color: #4eefc3;
  font-size: 62px;
  text-align: center;
  margin-top: 32px;
  margin-bottom: 22px;
}



/*---------------------------------------
    7 About section              
-----------------------------------------*/

.about-thumb ul {
  margin: 0;
  padding: 22px 0 0 0;
}

.about-thumb ul li {
  padding: 0 0 12px 0;
  color: #757575;
  margin-left: 22px;
}

.about-image img,
.team-thumb img {
  border-radius: 5px;
}

.about-image .social-icon {
  margin: 32px 0 0 0;
}

.about-image .social-icon li a {
  background: #f0f0f0;
}

.about-thumb {
  padding: 32px 12px;
}

.about-thumb p {
  padding: 2px 0;
}



/*---------------------------------------
    8 Divider section              
-----------------------------------------*/

#divider {
  background: url('../images/divider.jpg') 50% 0 repeat-y fixed;
  background-size: cover;
  background-position: center center;
  padding: 120px 0 120px 0;
  text-align: center;
  position: relative;
}

.overlay {
  background: rgba(0,0,0,0.5);
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

#divider h2 {
  color: #ffffff;
  font-size: 27px;
}

#divider .fa {
  color: #f0f0f0;
  padding-left: 12px;
}



/*---------------------------------------
    9 Team section              
-----------------------------------------*/

.team-thumb {
  margin: 22px 0 12px 0;
  padding: 0;
  overflow: hidden;
  position: relative;
  text-align: left;
}

.team-thumb .social-icon {
  margin-top: 40px;
}

.team-thumb .social-icon li a {
  font-size: 15px;
  width: 35px;
  height: 35px;
  line-height: 35px;
}

.team-thumb h4 {
  color: #4eefc3;
  font-size: 14px;
  font-weight: normal;
  letter-spacing: 0.5px;
}

.team-thumb-overlay {
  position: absolute;
  background: rgba(0,0,0,0.7);
  border-radius: 5px;
  cursor: crosshair;
  opacity: 0;
  width: 100%;
  height: 100%;
  padding: 82px 42px;
  -webkit-transition: all ease-in-out 0.4s;
  transition: all ease-in-out 0.4s;
}

.team-thumb:hover .work-thumb-overlay {
  opacity: 1;
}



/*---------------------------------------
    10 Skill section              
-----------------------------------------*/

#skill {
  padding-bottom: 60px;
}

.skill-thumb strong,
.skill-thumb span {
  font-weight: 500;
  display: inline-block;
  padding-bottom: 8px;
}

.progress {
  background: #e0e0e0;
  border-radius: 5px;
  height: 3px;
  margin-bottom: 25px;
}

.progress-bar {
  background: #1f1f1f;
  box-shadow: none;
}



/*---------------------------------------
    11 Work section              
-----------------------------------------*/

.work-thumb {
  margin: 22px 0 12px 0;
  padding: 0;
  overflow: hidden;
  position: relative;
  text-align: left;
}

.work-thumb img {
  border-radius: 5px;
}

.work-thumb h2 {
  color: #78A13C;
  font-size: 25px;
}

.work-thumb-overlay {
  position: absolute;
  background: rgba(0,0,0,0.7);
  border-radius: 5px;
  cursor: crosshair;
  opacity: 0;
  width: 100%;
  height: 100%;
  padding: 82px 42px;
  -webkit-transition: all ease-in-out 0.4s;
  transition: all ease-in-out 0.4s;
}

.work-thumb:hover .work-thumb-overlay {
  opacity: 1;
}



/*---------------------------------------
    12 Contact section              
-----------------------------------------*/

#contact .contact-info .fa {
  padding-right: 5px;
}

#contact .form-control {
  border: none;
  border-bottom: 2px solid #f0f0f0;
  border-radius: 0px;
  box-shadow: none;
  font-size: 18px;
  margin-top: 10px;
  margin-bottom: 10px;
  -webkit-transition: all ease-in-out 0.4s;
  transition: all ease-in-out 0.4s;
}

#contact .form-control:focus {
  border-bottom-color: #999999;
}

#contact input {
  height: 55px;
}

#contact button#submit {
  background: #A72C1A;
  border: none;
  border-radius: 50px;
  color: #ffffff;
  height: 55px;
  margin-top: 24px;
}

#contact button#submit:hover {
  background: #2b2b2b;
  color: #ffffff;
}



/*---------------------------------------
    13 Footer section              
-----------------------------------------*/

footer {
  background: #2b2b2b;
  text-align: center;
  padding: 80px 0;
}

footer h4 {
  color: #21528D;
  font-size: 23px;
}

footer i {
  color: #f0f0f0;
  padding-left: 12px;
}

footer a {
  color: #ffffff;
}



/*---------------------------------------
   14 Social icon             
-----------------------------------------*/

.social-icon {
  position: relative;
  padding: 0;
  margin: 52px 0 22px 0;
  text-align: center;
}

.social-icon li {
  display: inline-block;
  list-style: none;
}

.social-icon li a {
  background: #ffffff;
  border-radius: 100%;
  color: #454545;
  cursor: pointer;
  font-size: 20px;
  text-decoration: none;
  transition: all 0.4s ease-in-out;
  width: 45px;
  height: 45px;
  line-height: 45px;
  text-align: center;
  vertical-align: middle;
  position: relative;
  top: 0;
  margin: 0px 6px 10px 6px;
}

.social-icon li a:hover {
  background: #78A13C;
  color: #ffffff;
  transform: scale(1.1);
  top: -5px;
}



/*---------------------------------------
    15 Mobile Responsive styles              
-----------------------------------------*/

@media (max-width: 980px) {
  #home {
    height: 55vh;
  }

  .service-thumb {
    margin-top: 12px;
    margin-bottom: 22px;
  }
}


@media (max-width: 768px) {
  #home {
    height: 85vh;
  }
}


@media (max-width: 580px) {
  h1 {
    font-size: 28px;
  }

  h2, .work-thumb h2 {
    font-size: 22px;
  }

  h4 {
    font-size: 18px;
  }

  p {
    font-size: 14px;
  }

  .section-btn {
    padding: 16px 22px;
  }

  #home {
    height: 100vh;
  }

  #divider h2, footer h4 {
    font-size: 18px;
  }
}


@media (max-width: 320px) {
  h1 {
    font-size: 24px;
  }

  #home {
    height: 125vh;
  }
}
